View Issue Details

IDProjectCategoryView StatusLast Update
0000085VitalPBX[All Projects] Generalpublic2018-04-26 22:10
Reportersip.bgAssigned Tomrivera 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformVitalPBXOSCentosOS Version7
Product Version2.0.0-5 
Target VersionFixed in Version2.0.1-1 
Summary0000085: CDR reports error
DescriptionIf extension name contains UTF-8 characters, tehy are processed correctly in PBX, phones, etc., but not in CDR reports -- each UTF-8 character is replaced by 2 ASCII characters instead.

Please fix it, at least it is annoying.
Steps To ReproduceName extension with Cyrillic or Greek characters, make some calls and generate CDR report.
Tagscdr, UTF-8

Activities

mrivera

2018-04-17 19:10

administrator   ~0000139

Special characters are not shown correctly in cdr reports

mrivera

2018-04-26 22:00

administrator   ~0000142

Now utf8 characters are parsed before shown in CDR reports

Issue History

Date Modified Username Field Change
2018-03-21 18:57 sip.bg New Issue
2018-03-21 18:57 sip.bg Tag Attached: cdr
2018-03-21 18:57 sip.bg Tag Attached: UTF-8
2018-04-17 19:10 mrivera Assigned To => mrivera
2018-04-17 19:10 mrivera Status new => confirmed
2018-04-17 19:10 mrivera Note Added: 0000139
2018-04-26 22:00 mrivera Status confirmed => resolved
2018-04-26 22:00 mrivera Resolution open => fixed
2018-04-26 22:00 mrivera Fixed in Version => 2.0.1-1
2018-04-26 22:00 mrivera Note Added: 0000142
2018-04-26 22:10 mrivera Status resolved => closed